# PyKED
<img src="logo/pyked-logo.png" align="right" width="150" />

[![DOI](https://zenodo.org/badge/66023863.svg)](https://zenodo.org/badge/latestdoi/66023863)
[![Travis Build Status](https://travis-ci.org/pr-omethe-us/PyKED.svg?branch=master)](https://travis-ci.org/pr-omethe-us/PyKED)
[![Appveyor Build status](https://ci.appveyor.com/api/projects/status/0paym07iygcfwoy7?svg=true)](https://ci.appveyor.com/project/Prometheus/pyked)
[![codecov](https://codecov.io/gh/pr-omethe-us/PyKED/branch/master/graph/badge.svg)](https://codecov.io/gh/pr-omethe-us/PyKED)
[![Dependency Status](https://dependencyci.com/github/pr-omethe-us/PyKED/badge)](https://dependencyci.com/github/pr-omethe-us/PyKED)
[![Code of Conduct](https://img.shields.io/badge/code%20of%20conduct-contributor%20covenant-green.svg)](http://contributor-covenant.org/version/1/4/)
[![License](https://img.shields.io/badge/license-BSD-blue.svg)](https://opensource.org/licenses/BSD-3-Clause)
[![Anaconda-Server Badge](https://anaconda.org/pr-omethe-us/pyked/badges/version.svg)](https://anaconda.org/pr-omethe-us/pyked)

PyKED is a Python-based software package for validating and interacting with ChemKED (Chemical Kinetics Experimental Data format) files that describe fundamental experimental measurements of combustion phenomena.

An installation guide, usage examples, and API docs are provided in the online documentation: https://pr-omethe-us.github.io/PyKED/

## Code of Conduct

In order to have a more open and welcoming community, PyKED adheres to a code of conduct adapted from the [Contributor Covenant](http://contributor-covenant.org) code of conduct. The code of conduct for PyKED is available in the GitHub Repository  in the [CODE_OF_CONDUCT.md](https://github.com/pr-omethe-us/PyKED/blob/master/CODE_OF_CONDUCT.md) file.

Please adhere to this code of conduct in any interactions you have in the PyKED community. It is strictly enforced on all official PyKED repositories, websites, and resources. If you encounter someone violating these terms, please let a maintainer ([@kyleniemeyer](https://github.com/kyleniemeyer), [@bryanwweber](https://github.com/bryanwweber), or via email at chemked@googlegroups.com) know and we will address it as soon as possible.

## License

PyKED is released under the BSD-3 clause license, see LICENSE for details.

If you use this package as part of a scholarly work, please refer to CITATION.md for guidance on citing this resource.
